
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android初尝甜果之MVP模式 / iVAN</title>

    <meta name="description" content="Android初尝甜果之MVP模式 原文链接 对于WEB开发者来说,MVC模式是铭刻在心的.相信很大一部分在开发界的朋友都对MVC有些许了解,MVP是适用于Android项目下的类似MVC模式,区别是Controller换成了Presenter来分发数据和视图的控制. 首先看下MVP整体结构: 其中model对应着M,presenter对应P,view对应V.以一个简单的保存用户信息的例子来说明整个项目! 第一步建立对应用户的实体类UserBean public class UserBean { public static fin">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android初尝甜果之MVP模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><a href="http://kezhongke.github.io/2016/06/27/android-mvp/" rel="external nofollow noreferrer">原文链接</a> <br />
对于WEB开发者来说，MVC模式是铭刻在心的。相信很大一部分在开发界的朋友都对MVC有些许了解，MVP是适用于Android项目下的类似MVC模式，区别是Controller换成了Presenter来分发数据和视图的控制。</p>
<p>首先看下MVP整体结构：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGhvdG8ueXVwb28uY29tL21vb2NoZXIvRkVMVXlIZjIvbWVkaXNoLmpwZw==.jpg"></p>
<p>其中model对应着M，presenter对应P，view对应V。以一个简单的保存用户信息的例子来说明整个项目！</p>
<h3>第一步建立对应用户的实体类UserBean</h3>
<pre><code>public class UserBean {

    public static final String TAG = "UserBean";

    private String name;
    private String sex;
    private int age;

    public UserBean(){}

    public UserBean(String name, String sex, int age) {
        this.name = name;
        this.sex = sex;
        this.age = age;
    }

    //setter getter method
}</code></pre>
<h3>第二步建立业务逻辑层model</h3>
<p>model层主要管理业务逻辑，实现相应的操作具体代码如下：</p>
<pre><code>public interface IUserModel {
    //保存用户到数据库中
    void saveUser(UserBean userBean);
    //这里正常网络请求会根据ID来查询User,我们这里模拟假数据请求
    UserBean loadUser();
}</code></pre>
<p>实现类：在这里我们简单打印log实现数据传输，这里实际应该写的是对数据库等相关对数据的操作。</p>
<pre><code>public class UserModel implements IUserModel{

    public static final String TAG = "UserModel";

    @Override
    public void saveUser(UserBean userBean) {
        Log.i(TAG, "保存用户信息：" + userBean.getName() + "，性别为：" + userBean.getSex());
    }

    @Override
    public UserBean loadUser() {
        return new UserBean("Jake", "男", 26);
    }
}</code></pre>
<h3>第三步建立view视图层</h3>
<p>顾名思义，视图层是对视图的一些相关操作的，获取视图数据或者更新视图等等：</p>
<pre><code>public interface IUserView {
    String getName();
    String getSex();

    void setName(String name);
    void setSex(String sex);
}</code></pre>
<p>对于视图层我们先把代码放在这里，等下我们会在Activity中实现接口，实现对视图的操作。</p>
<h3>第四步就是建立表示器</h3>
<p>在MVP模式中，Presenter扮演了核心的角色：</p>
<pre><code>public interface IUserPresenter {

    void saveUser(UserBean userBean);

    void loadUser();
}</code></pre>
<p>实现类中实现了对视图层和业务逻辑层的分发和管理：</p>
<pre><code>public class UserPresenter implements IUserPresenter{

    public static final String TAG = "UserPresenter";

    private IUserModel mUserModel;
    private IUserView mUserView;

    public UserPresenter(IUserView userView){
        this.mUserView = userView;
        this.mUserModel = new UserModel();
    }

    @Override
    public void saveUser(UserBean userBean) {
        mUserModel.saveUser(userBean);
    }

    @Override
    public void loadUser() {
        UserBean userBean = mUserModel.loadUser();
        mUserView.setName(userBean.getName());
        mUserView.setSex(userBean.getSex());
    }
}</code></pre>
<p>这样的逻辑下，就使Activity减少了很多复杂的逻辑耦合，现在来看看Activity中的代码：</p>
<pre><code>public class MainActivity extends AppCompatActivity implements View.OnClickListener, IUserView{
  //其他属性省略
  private IUserPresenter mUserPresenter;
  @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        mUserPresenter = new UserPresenter(this);
        //findViewById部分省略
    }
    @Override
      public void onClick(View view) {
          int id = view.getId();
          switch (id){
              case R.id.save:
                  String u = name.getText().toString();
                  String s = sex.getText().toString();
                  UserBean userBean = new UserBean(u, s, 26);
                  mUserPresenter.saveUser(userBean);

                  break;
              case R.id.load:
                  mUserPresenter.loadUser();
                  break;
          }
      }

      @Override
      public String getName() {
          return null;
      }

      @Override
      public String getSex() {
          return null;
      }

      @Override
      public void setName(String name) {
          Toast.makeText(this, "更新用户名：" + name, Toast.LENGTH_SHORT).show();
      }

      @Override
      public void setSex(String sex) {
          Toast.makeText(this, "更新性别;" + sex, Toast.LENGTH_SHORT).show();
      }
  }</code></pre>
<p>在Activity中可以看到，涉及到操作上的方式都通过Presenter分发下去，到指定的业务逻辑层实现操作,具体代码在这里。</p>
<p><a href="http://pan.baidu.com/s/1hrQqlSw" rel="external nofollow noreferrer">MVPExample</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-13 01:34:27</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/static/" title="static">static</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/view/" title="view">view</a>, <a href="https://www.iamivan.net/tag/activity/" title="activity">activity</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android初尝甜果之MVP模式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z72OZ5p.html" rel="bookmark">MVP模式在Android项目中的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  以前在写项目的时候,没有过多考虑架构模式的问题,因为之前一直做J2EE开发,而J2EE都是采用MVC模式进行开发的,所以在搭建公司项目的时候,也 是使用类似MVC的架构(严格来讲,之前的项目还算不上MVC模式,只是简单将网络请求与界面分离,然后通过Handle通知更新界面).这种写法,在后 面随着项目越来越大,Activty或者Fragment中代码也会越来越多,导致项目的维护变的越来越复杂.所以需要另外一种架构模式来解决这个问题, 在网上浏览了一圈,发现适合Android开发的架构模式非M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1N8odp.html" rel="bookmark">详解MVP模式在Android开发中的应用&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.MVP介绍  随着UI创建技术的功能日益增强,UI层也履行着越来越多的职责.为了更好地细分视图(View)与模型(Model)的功能,让View专注于处理数据的可视化以及与用户的交互,同时让Model只关系数据的处理,基于MVC概念的MVP(Model-View-Presenter)模式应运而生. 在MVP模式里通常包含4个要素:  (1)View:负责绘制UI元素.与用户进行交互(在Android中体现为Activity); (2)View interface:需要View实现的接口,Vi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zemGlNz.html" rel="bookmark">Android MVP模式ListView中嵌入checkBox的使用方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MVP模式 ListView中嵌入checkBox的使用 本文写的是一个小demo,如何在ListView中嵌入checkBox配合使用,本篇文章与前面的嵌入Button类似,同样的采用MVP模式的写代码,本次案例中会有几个小细节,我将会在案例中介绍. 程序基本框架如下: View层: MainActivity.java public class MainActivity extends AppCompatActivity implements ViewInter&lt;MyBean&gt;{ //Lis			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bojB4Vz.html" rel="bookmark">Android MVP模式实战教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.什么是MVP 在网上找了些资料,整理如下: MVP是模型(Model).视图(View).主持人(Presenter)的缩写,分别代表项目中3个不同的模块. 模型(Model):负责处理数据的加载或者存储,比如从网络或本地数据库获取数据等: 视图(View):负责界面数据的展示,与用户进行交互: 主持人(Presenter):相当于协调者,是模型与视图之间的桥梁,将模型与视图分离开来. 如下图所示,View与Model并不直接交互,而是使用Presenter作为View与Model之间的桥梁			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP277rb.html" rel="bookmark">详解MVP模式在Android开发中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.MVP介绍 随着UI创建技术的功能日益增强,UI层也履行着越来越多的职责.为了更好地细分视图(View)与模型(Model)的功能,让View专注于处理数据的可视化以及与用户的交互,同时让Model只关系数据的处理,基于MVC概念的MVP(Model-View-Presenter)模式应运而生. 在MVP模式里通常包含4个要素: (1)View:负责绘制UI元素.与用户进行交互(在Android中体现为Activity); (2)View interface:需要View实现的接口,View			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWNvOGb.html" rel="bookmark">Android开发：浅谈MVP模式应用与内存泄漏问题解决</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近博主开始在项目中实践MVP模式,却意外发现内存泄漏比较严重,但却很少人谈到这个问题,促使了本文的发布,本文假设读者已了解MVP架构. MVP简介 M-Modle,数据,逻辑操作层,数据获取,数据持久化保存.比如网络操作,数据库操作 V-View,界面展示层,Android中的具体体现为Activity,Fragment P-Presenter,中介者,连接Modle,View层,同时持有modle引用和view接口引用 示例代码 Modle层操作 public class TestModle			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRYmGKb.html" rel="bookmark">Android中mvp模式使用实例详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MVP 是从经典的模式MVC演变而来,它们的基本思想有相通的地方:Controller/Presenter负责逻辑的处理,Model提供数据,View负 责显示.作为一种新的模式,MVP与MVC有着一个重大的区别:在MVP中View并不直接使用Model,它们之间的通信是通过Presenter (MVC中的Controller)来进行的,所有的交互都发生在Presenter内部,而在MVC中View会从直接Model中读取数据而不是通过 Controller. 在MVC里,View是可以直接访问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqRJjRp.html" rel="bookmark">说说Android的MVP模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				安卓应用开发是一个看似容易,实则很难的一门苦活儿.上手容易,看几天Java,看看四大组件咋用,就能整出个不太难看的页面来.但是想要做好,却是很难.系统框架和系统组件封装了很多东西,开发者弄几个Activity,用LinearLayout把布局组合在一起,添加点事件监听,一个应用就成型了.红海竞争,不管多么复杂的UX和业务逻辑都是一个月快速上线,二周一个迭代,领导和产品早上改需求,晚上改设计,再加上产品经理和设计师都按照iOS来设计,这一系列原因导致很多安卓应用不但体验差,不稳定,性能低,而且内部			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ9GAob.html" rel="bookmark">Android MVP模式ListView中嵌入checkBox的使用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MVP模式 ListView中嵌入checkBox的使用 本文写的是一个小demo,如何在ListView中嵌入checkBox配合使用,本篇文章与前面的嵌入Button类似,同样的采用MVP模式的写代码,本次案例中会有几个小细节,我将会在案例中介绍. 程序基本框架如下: View层: MainActivity.java public class MainActivity extends AppCompatActivity implements ViewInter&lt;MyBean&gt;{ //Lis			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGJOvp.html" rel="bookmark" class="title">win7系统guest账户怎么开启</a>
					<div>
						  首先鼠标右键点击计算机,打开管理. 在计算机管理窗口点击本地用户和组--用户--guest. 把账户已禁用前面的勾去掉,点击确定即可.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8GdPM.html" rel="bookmark" class="title">传感跟踪谷歌大会</a>
					<div>
						谷歌IO开发者大会将于本周(5月15日-5月17日)举行,如果你是参加大会的6000名开发者之一,就能体会到,传感器将追随你的每一步. 当然,这并不是指你迈了多少步,这么做实在是太怪异了.谷歌大会 传 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAw9Kz.html" rel="bookmark" class="title">使用CSS固定背景</a>
					<div>
						使用CSS可以固定背景,格式如下: 标签名{background-attachment:参数} 参数: fixed:页面滚动时,背景固定: scroll:页面滚动时,背景滚动. 实例: &lt;htm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg0B8p.html" rel="bookmark" class="title">Serv-U3&period;0的User和Group设置 下</a>
					<div>
						serv-u Read access:允许用户从服务器下载文件: Write access,:允许用户上载文件到服务器,但不允许修改.删除和重命名: Append access:允许向存在的文件附加内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDvy6M.html" rel="bookmark" class="title">新手入门：JSP中&OpenCurlyDoubleQuote;预定义变量&rdquo;的使用</a>
					<div>
						js|变量 为了简化JSP表达式和scriptlets中的代码,提供了8种自动定义的变量,有时称做implicit objects(固有对象).它们是:request,response,out,ses ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ6vJz.html" rel="bookmark" class="title">个人网站的策略性成长与坚持</a>
					<div>
						策略|个人网站 今天在论坛看到一个站长说自己的网站卖掉了.卖给谁,多少价没说,但总感觉透着一股悲凉. 说实话,对个人网站发展博客,其实和任何网站的发展一样,我此前说过好多次了,一要讲策略,二是要坚持. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWk57M.html" rel="bookmark" class="title">草根站长分享SEO成长记</a>
					<div>
						根据目前网络的网络发展seo已成为最热门的话题,相信很多人谈到seo技术都是充满了神秘好奇,其实不然,当您真正了解到seo时你会发现原来你也是一名seo专家,那么我们究竟如何去认知seo,让自己成为s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4OjJp.html" rel="bookmark" class="title">如何在一个JSP页面中调用另一个JSP页面中的变量</a>
					<div>
						在jsp学习中,经常需要在一个jsp页面中调用另一个jsp页面中的变量,下面就这几天的学习,总结一下. jsp页面之间的变量调用有多种方法: 1.通过jsp的内置对象-request对象获取参数: ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrm6Zp.html" rel="bookmark" class="title">C&plus;&plus;&sol;VC&plus;&plus;编程的疑难问题及解答</a>
					<div>
						本人在用C++/VC++编程时,遇到的一些比较难以解决的问题,在经过百思得其解之后,总结了一些解决方法,希望这些经验之谈能对大家有所帮助. 1.[VC问题] 编辑框内的换行? 答:假设要在编辑框内输出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL4X3b.html" rel="bookmark" class="title">jQuery &period;attr&lpar;&rpar;和&period;removeAttr&lpar;&rpar;方法操作元素属性示例</a>
					<div>
						本文为大家详细介绍下如何使用jQuery的.attr()和.removeAttr()方法读取,添加,修改,删除元素的属性,不会的朋友可以参考下哈,希望对大家有所帮助   今天主要和大家一起分享一下如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2Y1wM.html" rel="bookmark" class="title">Photoshop绘制一朵含苞欲放的红玫瑰教程</a>
					<div>
						  玫瑰花绘制跟其它花朵一样,重点是花朵部分的绘制.需要找一幅实物图作为参考,然后简单的拆分,按顺序找出花瓣的构造.然后逐步绘制即可. 最终效果 1.新建一个700 * 800像素的文件,选择渐变工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZBn4b.html" rel="bookmark" class="title">桌面回收站图标删除了如何恢复？</a>
					<div>
						  桌面回收站文件删除了怎么恢复?小编介绍的方法方法非常简单,就是通过国内知名的无敌数据恢复软件对回收站删除文件进行恢复. 第一步:下载安装无敌数据恢复软件. 第二步:打开无敌数据恢复软件,用户将可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw52mb.html" rel="bookmark" class="title">【IOS基础知识】CGRectInset、CGRectOffset、frame、bounds对比整理</a>
					<div>
						1.CGRectInset CGRect CGRectInset (   CGRect rect,   CGFloat dx,   CGFloat dy);该结构体的应用是以原rect为中心,再参考d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6RG9M.html" rel="bookmark" class="title">首页description标签的写法</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 很多人一直纳闷为什么搜索引擎不收录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVDvOb.html" rel="bookmark" class="title">LeetCode 6 ZigZag Conversion（Z型转换）</a>
					<div>
						翻译 字符串&quot;PAYPALISHIRING&quot;通过一个给定的行数写成如下这种Z型模式: P A H N A P L S I I G Y I R 然后一行一行的读取:&quot;PAH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PLmqp.html" rel="bookmark" class="title">如何为TensorFlow和PyTorch自动选择空闲GPU，解决抢卡争端</a>
					<div>
						使用 git clone https://github.com/QuantumLiu/tf_gpu_manager 把manager.py放到你训练的目录就行. 直接使用with gm.auto_ch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6wlaz.html" rel="bookmark" class="title">不用splitter控件 简单实现对mfc对话框的分割的方法</a>
					<div>
						不用splitter控件  简单实现对mfc对话框的分割的方法 直接贴上源代码主要部分吧 这个是基于对话框的工程 进行对话框的分割实现 只是相应了三个消息函数,看一下就会明白的 我空间资源里边有现成的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1Zgdz.html" rel="bookmark" class="title">spring mvc 注解&plus;easyui 分页不明之处，急求</a>
					<div>
						问题描述 spring mvc 注解+easyui 分页不明之处,急求 有几点不明1.点击查询按钮触发传递参数的代码 2.前台处理代码:有懂得的大神吗? 我用的是 解决方案 分页的参数会自动的传递到后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rV2wz.html" rel="bookmark" class="title">Seo变化万千新手需多学习多领悟</a>
					<div>
						seo新手,是seo学习队伍中的一只庞大力量,也是一群不可小看的人.http://www.aliyun.com/zixun/aggregation/7501.html&quot;&gt;他们为SEO队 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGE8Y6M.html" rel="bookmark" class="title">关于oracle的数据库和工具</a>
					<div>
						问题描述 关于oracle的数据库和工具 可以帮我解释下他们的作用和区别吗,谢谢. PLSQL Developer win32_11gR2_OracleXE instantclient_12_64 O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBveKM.html" rel="bookmark" class="title">消费者投诉德蕊沙发一个月就脱皮</a>
					<div>
						有求必应 投诉:6月30日,吴先生在家居博览中心德蕊专柜看中一款名为普瓦图的样板沙发,价值4000元,他当即付钱购买.谁料,沙发放到家中才一个月,就出现表面脱皮现象,这让吴先生很烦恼.吴先生说,店内样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBalqb.html" rel="bookmark" class="title">jquery 预加载图片效果插件与实例</a>
					<div>
						文章一款告诉你如何利用jquery 预加载图片的实例教程,同时你也可以根据它出制作出漂亮的jquery 预加载图片效果哦. &lt;!doctype html public &quot;-//w3c/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RDEDz.html" rel="bookmark" class="title">未读消息新消息提示怎么集成</a>
					<div>
						问题描述 解决方案 遍历conversation 累加每个conversation的未读数,可以在demo搜一下 setupUnread 看下					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGE6NlM.html" rel="bookmark" class="title">现实中的周星驰，原来是个深藏不露的投资高手</a>
					<div>
						现实中的周星驰,原来是个深藏不露的投资高手. &quot;这个世界,满街都是黄金,到处都是美女.&quot;电影&lt;功夫&gt;中周星驰的经典台词言犹在耳.其实对于有心人来说,香港市场的投资机会也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXPV4z.html" rel="bookmark" class="title">S2SH中，添加了声明式事务就报错！高手帮帮忙，解决下！</a>
					<div>
						问题描述 2011-01-1218:39:33,953[org.springframework.web.context.ContextLoader]-[ERROR]Contextinitializat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjg3dM.html" rel="bookmark" class="title">64位系统下用vs2012 编译qt程序，请问怎么编译出在32位系统可以运行的程序</a>
					<div>
						问题描述 64位系统下用vs2012 编译qt程序,请问怎么编译出在32位系统可以运行的程序 我现在想把写好的qt程序打包,但是在32位系统上跑不起来, 然后我编译时把平台改为win32,又提示无法编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7AJGz.html" rel="bookmark" class="title">未来的社会企业家面孔</a>
					<div>
						--阿拉善之思 文/丁杰静 古老的&quot;木桶定理&quot;告诉我们,组成木桶最短的那块板,决定了它的容量.据&quot;社会企业家&quot;权威代言人戴维所言,名副其实的社会企业家,以下六要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLxlOM.html" rel="bookmark" class="title">水晶报表如何在双击事件中选择记录？</a>
					<div>
						问题描述 如题! 解决方案 解决方案二:怎么没人回复啊!解决方案三:自己顶了!解决方案四:我是初学,想问你是DataGreadView里面的东东吗?解决方案五:crystalreport解决方案六:c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myen85M.html" rel="bookmark" class="title">static变量-如何引用不同文件里的全局变量</a>
					<div>
						问题描述 如何引用不同文件里的全局变量 如何在a.h中定义的变量在其他cpp文件中也能使用. 我使用的编译器是vs2010,尝试了如下几种方法. 1)在类里定义static变量,引用时编译不通过,为l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXQGQb.html" rel="bookmark" class="title">SEO博客优化过程中出现的异常现象总结</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 Winter和大家一样,在做苏州S ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
